Vista VS XP

Add-in Express™ Support Service
That's what is more important than anything else

Vista VS XP
 
John J




Posts: 30
Joined: 2009-01-20
I have a weird problem publishing my proejct. Until know I worked on a vista box with office 03+07. I decided to switch to XP + 07. When I try to publish my project, i'm getting the following error (important part of it):

Could not load file or assembly 'office, Version=12.0.0.0 ... PublicKeyToken = 71e9bce111e9429c'...


Please, help, I'm blocked.

Thanks!
Posted 20 May, 2009 12:24:23 Top
Eugene Astafiev


Add-in Express team


Posts: 8540
Joined: 2007-07-25
Hello John,

Do you use version neutral interop assemblies?
.NET, Extended MAPI, Windows Phone & RT
Posted 20 May, 2009 12:42:58 Top
John J




Posts: 30
Joined: 2009-01-20
I do not. Read a little bit about it, but couldn't find a way to change my current project to use version neutral interop assemblies.

In other words, how to I set it in my current proejct?

Thanks, Eugene.

Posted 20 May, 2009 14:31:41 Top
Eugene Astafiev


Add-in Express team


Posts: 8540
Joined: 2007-07-25
Hello John,

Please have a look at the Interop Assemblies folder (see the Add-in Express installation folder). It contains a lot of version neutral assemblies.
.NET, Extended MAPI, Windows Phone & RT
Posted 21 May, 2009 05:05:52 Top
John J




Posts: 30
Joined: 2009-01-20
Thanks. Fixed the problem.
Posted 21 May, 2009 14:53:24 Top
Eugene Astafiev


Add-in Express team


Posts: 8540
Joined: 2007-07-25
Good news, John!

Thank you for letting me know and good luck with your project.
.NET, Extended MAPI, Windows Phone & RT
Posted 21 May, 2009 14:58:54 Top